Uploaded image for project: 'NetBeans'
  1. NetBeans
  2. NETBEANS-5064

Support for specific NB (feature release) versions

    XMLWordPrintableJSON

Details

    • Wish
    • Status: Open
    • Major
    • Resolution: Unresolved
    • None
    • None
    • None

    Description

      Maybe, currently, URLs for feature versions(e.g. 12.1) are redirected to the URL for the LTS(e.g. 12.0) version, right?

      That has a problem. We can't use an nbm of the LTS version if a feature version has incompatible changes.

      There are incompatible changes for PHP support in NetBeans 12.2. So, some plugins related to PHP don't work any longer in 12.2 with the nbm for 12.0.

      So, I have to provide nbms for 12.2. However, we can't add them to PP at the moment. So, I have to upload them to another place(e.g. GitHub).

      It would be nice for users/developers if we can add nbms for specific versions. OTOH, it may be hard work for verifiers(/developers) to verify(/add) them...
      e.g. Although I'm not sure whether it is possible, if there is no nbm of specific versions, it would be nice to be able to use nbms of LTS versions.

      Attachments

        Activity

          People

            Unassigned Unassigned
            junichi11 Junichi Yamamoto
            Votes:
            0 Vote for this issue
            Watchers:
            6 Start watching this issue

            Dates

              Created:
              Updated: